.AUTODEPEND

#		*Translator Definitions*
CC = bcc +VBENCH.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BORLANDC\LIB
INCLUDEPATH = C:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 vbench.obj \
 video.obj \
 bench.obj \
 htimer.obj

#		*Explicit Rules*
vbench.exe: vbench.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/P-/L$(LIBPATH) @&&|
c0c.obj+
vbench.obj+
video.obj+
bench.obj+
htimer.obj
vbench
		# no map file
cc.lib
|


#		*Individual File Dependencies*
vbench.obj: vbench.cfg vbench.cpp 

video.obj: vbench.cfg video.asm 
	$(TASM) /MX /ZI /O VIDEO.ASM,VIDEO.OBJ

bench.obj: vbench.cfg bench.asm 
	$(TASM) /MX /ZI /O BENCH.ASM,BENCH.OBJ

htimer.obj: vbench.cfg htimer.cpp 

#		*Compiler Configuration File*
vbench.cfg: vbench.mak
  copy &&|
-mc
-2
-f-
-v
-wpro
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| vbench.cfg


